-----------------------------------------------------------------------------
-- Create

function Create(e)
--!    System.OutputDebugString("MenuPublisher::Create()\n");
--!    Entity.SetFloat(e, "fadeInDuration", 1.0);
--!    Entity.SetFloat(e, "holdDuration", 2.0);
--!    Entity.SetFloat(e, "fadeInDuration", 0.5);    
    end;
    
    
function Start(e)
    System.OutputDebugString("MenuPublisher::Start()\n");
    Entity.SetString(e, "nextClass", "MenuTitleCard");
    Entity.SetString(e, "nextMenuScript", "Menu\\MenuEv.lua");
    Entity.SetString(e, "textureFile", "Menu\\TradeWestSplash.dds");
    Entity.SetFloat (e, "width", 0);
    Entity.SetFloat (e, "height", 0);
    Entity.SetFloat (e, "u", 1);
    Entity.SetFloat (e, "v", 1);
--  Entity.SetColor4b(e, "backgroundColor", 0);
    Entity.SetFloat (e, "holdDuration", 2.0);
    Entity.SetFloat (e, "fadeInDuration", 0.5);    
    end;    


function Update(this, elapsedSec)
    end;